Get Customer

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

customer_idstringRequired
account_idstringRequired

Query parameters

expandlist of strings or nullOptional

Response

Successful Response
idstring
namestring or null
first_namestring or null
last_namestring or null
emailstring or null
phonestring or null
billing_emailstring or null
business_namestring or null
addressobject or null
shipping_addressobject or null
tax_idslist of strings or null
currencyenum or null
ISO 4217 currency codes.
languagestring or null
invoice_settingsmap from strings to any or null
total_spentobject or null

Cash captured from this customer, minus refunds and chargebacks. Null when no cash was captured — including invoices settled outside the platform and customers who were fully refunded.

metadatamap from strings to any or null
created_atdatetime
updated_atdatetime
credit_balanceobject or nullOptional

Primary credit balance (largest currency). Deprecated: use credit_balances.

credit_balanceslist of objects or nullOptional
Credit balances per currency
custom_fieldsmap from strings to any or nullOptional

Custom field values. Only included when expand=custom_fields is specified.

Errors

422
Unprocessable Entity Error